//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "WebViewController.h"
#import "PCResource+Info.h"
#import "UIViewController+Spinner.h"
#import "UIViewController+Alert.h"

@interface WebViewController ()
@property (weak, nonatomic) IBOutlet UIWebView *webView;

@end

@implementation WebViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = self.selectedResource.name;
    
    [self showSpinner];
    
    PCFilesAPIParams *params = [[PCFilesAPIParams alloc] init];
    params.path = self.selectedResource.fullPath;
    
    __weak WebViewController *blocksafeSelf = self;
    

    [[PCAPISDK sharedInstance] downloadFile:params progress:^(long long totalBytesDownloaded, long long totalBytesToBeDownloaded) {
        
        
        
    } withCompletionHandler:^(PCAPIQueryResponse *response) {
       
        [blocksafeSelf hideSpinner];
        switch (response.urlResponse.statusCode) {
            case PCAPIResponseCodeOK: {
                
                NSData *fileData = [NSData dataWithContentsOfURL:response.downloadedURL];
                if (fileData) {
                    [blocksafeSelf.webView loadData:fileData MIMEType:self.selectedResource.mimeType textEncodingName:@"UTF-8" baseURL:nil];
                }
            }
                break;
            case PCAPIResponseCodeUnauthorized:
                [blocksafeSelf showUnAuthorizedAlert];
                break;
            case PCAPIResponseCodeServiceUnavailable:
                [blocksafeSelf showServerUnavailableAlert];
                break;
            default:
                [blocksafeSelf showOperationFailedAlert:NSLocalizedString(@"Get File", nil)];
                break;
        }
    }];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
