//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "UIViewController+Alert.h"
#import "UIViewController+RightBarButtonAction.h"

@implementation UIViewController (Alert)

- (void)showOperationFailedAlert:(NSString *)operationName {

    [self showOKAlertWithTitle:NSLocalizedString(@"Error", nil)
                    andMessage:[NSString stringWithFormat:@"%@ %@", operationName, NSLocalizedString(@"failed. Please try again!", nil)]
              attributedString:nil
                      okAction:nil];
}

- (void)showServerUnavailableAlert {
    [self showOKAlertWithTitle:NSLocalizedString(@"Error", nil)
                    andMessage:NSLocalizedString(@"Server Unavailable", nil)
              attributedString:nil
                      okAction:nil];
}

- (void)showUnAuthorizedAlert {

    __weak UIViewController *blocksafeSelf = self;
    [self showOKAlertWithTitle:NSLocalizedString(@"Error", nil)
                             andMessage:NSLocalizedString(@"Session is no longer valid", nil)
                       attributedString:nil
                               okAction:^(UIAlertAction *action) {
                                   [blocksafeSelf executeAction:signOutRightBarAction silent:YES];
                               }];

}

- (void)alertController:(UIAlertController *)alertController
     addActionWithTitle:(NSString *)title
                  style:(UIAlertActionStyle)style
              andAction:(void (^)(UIAlertAction * _Nonnull action))handler {
    UIAlertAction *action = [UIAlertAction actionWithTitle:title
                                                     style:style
                                                   handler:handler];
    [alertController addAction:action];
    
}


- (void)showOKAlertWithTitle:(NSString *)title andMessage:(NSString *)message attributedString:(NSAttributedString *)attributedString okAction:(void (^)(UIAlertAction *action))handler {
    
    UIAlertController *alertController = [UIAlertController alertControllerWithTitle:title
                                                                             message:message
                                                                      preferredStyle:UIAlertControllerStyleAlert];
    
   
    [self alertController:alertController addActionWithTitle:NSLocalizedString(@"OK", nil) style:UIAlertActionStyleDefault andAction:handler];
    if (attributedString) {
        [alertController setValue:attributedString forKey:@"attributedMessage"];
    }
    
    [self presentViewController:alertController animated:YES completion:nil];
    
}

- (void)showOKCancelAlertWithTitle:(NSString *)title andMessage:(NSString *)message okAction:(void (^)(UIAlertAction *action))OKhandle cancelAction:(void (^)(UIAlertAction *action))Cancelhandle {

    UIAlertController *alertController = [UIAlertController alertControllerWithTitle:title
                                                                             message:message
                                                                      preferredStyle:UIAlertControllerStyleAlert];
    [self alertController:alertController addActionWithTitle:NSLocalizedString(@"Cancel", nil) style:UIAlertActionStyleDefault andAction:Cancelhandle];
    [self alertController:alertController addActionWithTitle:NSLocalizedString(@"OK", nil) style:UIAlertActionStyleDefault andAction:OKhandle];

    [self presentViewController:alertController animated:YES completion:nil];
}

- (void)alertController:(UIAlertController *)alertController showTextInputAlertWithTitle:(NSString *)title andOKCompletionHandler:(void (^)(UIAlertAction *action))handler {
   
    [alertController addTextFieldWithConfigurationHandler:^(UITextField * _Nonnull textField) {
        textField.text = title;
    }];
    
    [self alertController:alertController addActionWithTitle:NSLocalizedString(@"OK", nil) style:UIAlertActionStyleDefault andAction:handler];
    [self alertController:alertController addActionWithTitle:NSLocalizedString(@"Cancel", nil) style:UIAlertActionStyleDefault andAction:nil];
    
    [self presentViewController:alertController animated:YES completion:nil];
    
}


@end
