//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.


#import <Foundation/Foundation.h>

/*!
 * PCPlaylist stores all the details of a Playlist.
 */
@interface PCPlaylist : NSObject

/*!
 * The UID of the playlist.
 */
@property (nonatomic, readonly) NSString *UID;

/*!
 * The name of the playlist.
 */
@property (nonatomic, readonly) NSString *name;

/*!
 * The type of playlist. eg. music.
 */
@property (nonatomic, readonly) NSString *type;

/*!
 * Regex pattern for playlist. eg. audio/.*
 */
@property (nonatomic, readonly) NSString *mimeTypeRegx;

/*!
 * Array of paths.
 */
@property (nonatomic, readonly) NSArray *paths;

/*!
 * Timestamp for creation date of playlist.
 */
@property (nonatomic, readonly) NSDate *creationDate;

/*!
 * Timestamp for last modified date of playlist.
 */
@property (nonatomic, readonly) NSDate *lastModifiedDate;

@end
